package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmsshipContractPrice;
import com.steerinfo.dil.model.BmsshipContractPrice;
import com.steerinfo.dil.model.RmsBidArea;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface BmsshipContractPriceMapper extends IBaseMapper<BmsshipContractPrice, BigDecimal> {
    //获取主键id
    @Select("select seq_bmsship_contract_price.nextval from dual")
    BigDecimal getMaxId();
    //判断合同号是否唯一
    BigDecimal contractNoCompare(String contractNo);

    List<Map<String, Object>> bmsshipContractPriceList(Map<String, Object> map);

    //渲染数据
    List<Map<String,Object>> selectBmsshipPriceList(BigDecimal id);
}